## notmuch 0.38.1

=== vim/Makefile ===
prefix = $(HOME)/.vim

INSTALL = install -v -D -m644
D = $(DESTDIR)

all:
	@echo "Nothing to build"

install:
	$(INSTALL) $(CURDIR)/notmuch.vim $(D)$(prefix)/plugin/notmuch.vim
	$(INSTALL) $(CURDIR)/notmuch.txt $(D)$(prefix)/doc/notmuch.txt
	@$(foreach file,$(wildcard syntax/*), \
		$(INSTALL) $(CURDIR)/$(file) $(D)$(prefix)/$(file);)

.PHONY: all install

=== debian/tests/control ===
Test-command: env NOTMUCH_TEST_INSTALLED=1 TERM=dumb
    NOTMUCH_HAVE_MAN=1 NOTMUCH_HAVE_SFSEXP=1 NOTMUCH_HAVE_XAPIAN_DB_RETRY_LOCK=1
    NOTMUCH_HAVE_PYTHON3_CFFI=1 NOTMUCH_HAVE_PYTHON3_PYTEST=1
    NOTMUCH_HAVE_ASAN=1 NOTMUCH_HAVE_TSAN=1
    ./test/notmuch-test
Restrictions: allow-stderr
Architecture: amd64, arm64
Depends: @,
 build-essential,
 dtach,
 emacs-nox,
 gdb,
 git,
 gnupg,
 gpgsm,
 libtalloc-dev,
 man,
 xapian-tools

## notmuch 0.38.2

=== debian/changelog ===
notmuch (0.38.2-1ubuntu2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 01:47:58 -0300

notmuch (0.38.2-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:29:11 +0100

notmuch (0.38.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- David Bremner <bremner@debian.org>  Fri, 01 Dec 2023 07:51:09 -0400

notmuch (0.38.1-1ubuntu2) noble; urgency=medium

  * Rebuild against new libsexp2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 14:37:28 +0200

notmuch (0.38.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 12:05:17 +0200

notmuch (0.38.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- David Bremner <bremner@debian.org>  Thu, 26 Oct 2023 19:58:42 -0300

notmuch (0.38.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 12 Oct 2023 19:53:10 -0300

notmuch (0.38.1~pre0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sun, 01 Oct 2023 08:14:17 -0300

notmuch (0.38-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 09:01:31 +0200

notmuch (0.38-1ubuntu2) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Sep 2023 11:33:11 +0200

=== debian/control ===
Source: notmuch
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carl Worth <cworth@debian.org>
Uploaders:
 Jameson Graef Rollins <jrollins@finestructure.net>,
 David Bremner <bremner@debian.org>,
Build-Conflicts:
 gdb [ia64 mips mips64el hppa],
 ruby1.8,
Build-Depends:
 bash-completion (>=1.9.0~),
 debhelper-compat (= 13),
 dh-elpa (>= 1.3),
 dh-python,
 desktop-file-utils,
 doxygen,
 dpkg-dev (>= 1.17.14),
 dtach (>= 0.8) <!nocheck>,
 emacs-nox | emacs-gtk | emacs-lucid | emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) | emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
 emacs-el,
 gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha !hppa] <!nocheck>,
 git <!nocheck>,
 gnupg <!nocheck>,
 gpgsm <!nocheck>,
 libgmime-3.0-dev (>= 3.0.3~),
 libpython3-dev,
 libsexp-dev,
 libtalloc-dev,
 libxapian-dev,
 libz-dev,
 pkg-config,
 python3,
 python3-cffi,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 ruby,
 ruby-dev (>>1:1.9.3~),
 texinfo,
 xapian-tools <!nocheck>,
Standards-Version: 4.4.1
Homepage: https://notmuchmail.org/
Vcs-Git: https://git.notmuchmail.org/git/notmuch -b release
Vcs-Browser: https://git.notmuchmail.org/git/notmuch
Rules-Requires-Root: no

Package: notmuch
Architecture: any
Depends:
 libnotmuch5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 elpa-notmuch | notmuch-vim | notmuch-mutt | alot,
 gnupg-agent,
 gpgsm,
Suggests:
 mailscripts,
 notmuch-doc,
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the notmuch command-line interface

Package: notmuch-git
Architecture: all
Depends:
 git,
 notmuch,
 python3,
 ${misc:Depends}
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains a simple tool to save, restore, and synchronize
 notmuch tags via git repositories.

Package: notmuch-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 notmuch
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the HTML documentation

Package: libnotmuch5
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: thread-based email index, search and tagging (runtime)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the runtime library, necessary to run
 applications using libnotmuch.

Package: libnotmuch-dev
Section: libdevel
Architecture: any
Depends:
 libnotmuch5 (= ${binary:Version}),
 ${misc:Depends},
Description: thread-based email index, search and tagging (development)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides the necessary development libraries and header
 files to allow you to develop new software using libnotmuch.

Package: python3-notmuch
Architecture: all
Section: python
Depends:
 libnotmuch5 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 legacy interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a legacy Python 3 interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.
 .
 New projects are encouraged to use python3-notmuch2 instead.

Package: python3-notmuch2
Architecture: any
Section: python
Depends:
 libnotmuch5 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python 3 interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Python 3 interface to the notmuch
 functionality using CFFI bindings, which interface with a shared
 notmuch library.
 .
 This is the preferred way to use notmuch via Python.

Package: ruby-notmuch
Architecture: any
Section: ruby
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ruby interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Ruby interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: elpa-notmuch
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Suggests: elpa-mailscripts
Description: thread-based email index, search and tagging (emacs interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides an emacs based mail user agent based on
 notmuch.

Package: notmuch-vim
Architecture: all
Breaks:
 notmuch (<<0.6~254~),
Replaces:
 notmuch (<<0.6~254~),
Depends:
 notmuch,
 ruby-notmuch,
 vim-addon-manager,
 vim-ruby,
 ${misc:Depends},
Recommends:
 ruby-mail,
Description: thread-based email index, search and tagging (vim interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a vim based mail user agent based on
 notmuch.

Package: notmuch-mutt
Architecture: all
Depends:
 libmail-box-perl,
 libmailtools-perl,
 libterm-readline-gnu-perl,
 notmuch (>= 0.4),
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 mutt,
Enhances:
 mutt,
 notmuch,
Description: thread-based email index, search and tagging (Mutt interface)
 notmuch-mutt provides integration among the Mutt mail user agent and
 the Notmuch mail indexer.
 .
 notmuch-mutt offer two main integration features. The first one is
 the ability of stating a search query interactively and then jump to
 a fresh Maildir containing its search results only. The second one is
 the ability to reconstruct threads on the fly starting from the
 current highlighted mail.

## notmuch 0.38.3

=== compat/Makefile ===
all:
	$(MAKE) -C .. all

.DEFAULT:
	$(MAKE) -C .. $@

=== debian/changelog ===
notmuch (0.38.3-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Mar 2025 08:17:32 +0100

notmuch (0.38.3-5) unstable; urgency=medium

  * Bug fix: "test suite regressions with fixed GnuPG", thanks to
    Daniel Kahn Gillmor (Closes: #1098995).

 -- David Bremner <bremner@debian.org>  Fri, 28 Feb 2025 16:24:35 -0500

notmuch (0.38.3-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 18:46:54 +0100

notmuch (0.38.3-4) unstable; urgency=medium

  * Bug fix: "FTBFS: 3 tests fail against Emacs 30.1", thanks to Sean
    Whitton (Closes: #1098852). Cherry-pick upstream commit e3d4721b1.

 -- David Bremner <bremner@debian.org>  Tue, 25 Feb 2025 16:51:36 -0400

notmuch (0.38.3-3ubuntu2) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 00:53:53 -0300

notmuch (0.38.3-3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2024 21:07:46 +0200

notmuch (0.38.3-3) unstable; urgency=medium

  [ James McCoy ]
  * Convert notmuch-vim to Vim addon policy 2.0 (Closes: #1015936).

  [ Nicholas D Steeves ]
  * Allow neomutt to fulfill the "mutt" requirement of notmuch-mutt, and add
    related Enhances (Closes: #1029190).
  * Add Astroid as an alternative Recommends; this one is a GUI client that
    may be less intimidating for new users.

  [ David Bremner ]
  * remove "Build-Conflicts: gdb-minimal", thanks to Jeremy Bícha (Closes:
    #1077911).
  * skip test T810-tsan everywhere, as it seems broken by the latest glib
    (Closes: #1077910). Thanks to Jeremy Bícha for the report
  * Replace build-dependency on pkg-config with pkgconf

 -- David Bremner <bremner@debian.org>  Mon, 05 Aug 2024 10:13:01 -0300

notmuch (0.38.3-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 08:11:56 +0200

notmuch (0.38.3-2) unstable; urgency=medium

  * No change upload to rebuild with dh-elpa 2.1.5

 -- David Bremner <bremner@debian.org>  Fri, 26 Jul 2024 11:59:41 +0900

notmuch (0.38.3-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:16:23 +0000

notmuch (0.38.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2024 14:18:34 +0100

notmuch (0.38.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * Bug fix: "Recommends transitional package gnupg-agent instead of
    gpg-agent", thanks to Andreas Metzler (Closes: #1064114).

 -- David Bremner <bremner@debian.org>  Sat, 09 Mar 2024 23:13:07 -0400

notmuch (0.38.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063205

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 23:56:48 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
 Build-Conflicts:
  gdb [ia64 mips mips64el hppa],
  ruby1.8,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  bash-completion (>=1.9.0~),
  debhelper-compat (= 13),
  dh-elpa (>= 1.3),
  dh-python,
+ dh-sequence-vim-addon,
  desktop-file-utils,
  doxygen,
  dpkg-dev (>= 1.17.14),
@@ -30,7 +31,7 @@
  libtalloc-dev,
  libxapian-dev,
  libz-dev,
- pkg-config,
+ pkgconf,
  python3,
  python3-cffi,
  python3-pytest,
@@ -50,12 +51,12 @@
 Package: notmuch
 Architecture: any
 Depends:
- libnotmuch5 (= ${binary:Version}),
+ libnotmuch5t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- elpa-notmuch | notmuch-vim | notmuch-mutt | alot,
- gnupg-agent,
+ elpa-notmuch | notmuch-vim | notmuch-mutt | alot | astroid,
+ gpg-agent,
  gpgsm,
 Suggests:
  mailscripts,
@@ -99,7 +100,10 @@
  .
  This package contains the HTML documentation
 
-Package: libnotmuch5
+Package: libnotmuch5t64
+Provides: ${t64:Provides}
+Replaces: libnotmuch5
+Breaks: libnotmuch5 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends:
@@ -120,7 +124,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libnotmuch5 (= ${binary:Version}),
+ libnotmuch5t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: thread-based email index, search and tagging (development)
  Notmuch is a system for indexing, searching, reading, and tagging
@@ -135,7 +139,7 @@
 Architecture: all
 Section: python
 Depends:
- libnotmuch5 (>= ${source:Version}),
+ libnotmuch5t64 (>= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python 3 legacy interface to the notmuch mail search and index library
@@ -153,7 +157,7 @@
 Architecture: any
 Section: python
 Depends:
- libnotmuch5 (>= ${source:Version}),
+ libnotmuch5t64 (>= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -208,9 +212,9 @@
 Depends:
  notmuch,
  ruby-notmuch,
- vim-addon-manager,
  vim-ruby,
  ${misc:Depends},
+ ${vim-addon:Depends},
 Recommends:
  ruby-mail,
 Description: thread-based email index, search and tagging (vim interface)
@@ -232,9 +236,10 @@
  ${misc:Depends},
  ${perl:Depends},
 Recommends:
- mutt,
+ mutt | neomutt,
 Enhances:
  mutt,
+ neomutt,
  notmuch,
 Description: thread-based email index, search and tagging (Mutt interface)
  notmuch-mutt provides integration among the Mutt mail user agent and

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export NOTMUCH_SKIP_TESTS = T810-tsan

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,elpa,sphinxdoc

override_dh_auto_configure:
	BASHCMD=/bin/bash ./configure --prefix=/usr \
		--libdir=/usr/lib/${DEB_TARGET_MULTIARCH} \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--sysconfdir=/etc \
		--zshcompletiondir=/usr/share/zsh/vendor-completions \
		--localstatedir=/var

override_dh_auto_build:
	dh_auto_build -- V=1 all sphinx-html
	PYBUILD_NAME=notmuch dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python
	PYBUILD_NAME=notmuch2 dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python-cffi
	$(MAKE) -C contrib/notmuch-mutt

override_dh_auto_clean:
	dh_auto_clean
	PYBUILD_NAME=notmuch dh_auto_clean --buildsystem=pybuild --sourcedirectory bindings/python
	dh_auto_clean --sourcedirectory bindings/ruby
	$(MAKE) -C contrib/notmuch-mutt clean

override_dh_auto_install:
	dh_auto_install
	PYBUILD_NAME=notmuch dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python
	PYBUILD_NAME=notmuch2 dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python-cffi
	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C vim prefix=/usr/share/notmuch-vim DESTDIR=$(CURDIR)/debian/tmp install
	dh_auto_install --sourcedirectory bindings/ruby

override_dh_auto_test:
	dh_auto_test --no-parallel

## notmuch 0.39

=== Makefile ===
# We want the all target to be the implicit target (if no target is
# given explicitly on the command line) so mention it first.
all:

# Sub-directory Makefile.local fragments can append to these variables
# to have directory-specific cflags as necessary.

extra_cflags :=
extra_cxxflags :=

# Get settings from the output of configure by running it to generate
# Makefile.config if it doesn't exist yet.

# If Makefile.config doesn't exist, then srcdir won't be
# set. Conditionally set it (assuming a plain srcdir build) so that
# the rule to generate Makefile.config can actually work.
srcdir ?= .

include Makefile.config

# We make all targets depend on the Makefiles themselves.
global_deps = Makefile Makefile.config Makefile.local \
	$(subdirs:%=%/Makefile) $(subdirs:%=%/Makefile.local)

INCLUDE_MORE := yes
ifneq ($(filter clean distclean dataclean, $(word 1, $(MAKECMDGOALS))),)
CLEAN_GOAL := $(word 1, $(MAKECMDGOALS))

# If there are more goals following CLEAN_GOAL, run $(MAKE)s in parts.
ifneq ($(word 2, $(MAKECMDGOALS)),)
INCLUDE_MORE := no
FOLLOWING_GOALS := $(wordlist 2, 99, $(MAKECMDGOALS))

.PHONY: $(FOLLOWING_GOALS) make_in_parts
$(FOLLOWING_GOALS):
	@true
$(CLEAN_GOAL): make_in_parts
make_in_parts:
	$(MAKE) $(CLEAN_GOAL)
	$(MAKE) $(FOLLOWING_GOALS) configure_options="$(configure_options)"
endif

else
CLEAN_GOAL :=
endif

# Potentially speedup make clean, distclean and dataclean ; avoid
# re-creating Makefile.config if it exists but configure is newer.
ifneq ($(CLEAN_GOAL),)
Makefile.config: | $(srcdir)/configure
else
Makefile.config: $(srcdir)/configure
endif
ifeq ($(configure_options),)
	@echo ""
	@echo "Note: Calling ./configure with no command-line arguments. This is often fine,"
	@echo "      but if you want to specify any arguments (such as an alternate prefix"
	@echo "      into which to install), call ./configure explicitly and then make again."
	@echo "      See \"./configure --help\" for more details."
	@echo ""
endif
	$(srcdir)/configure $(configure_options)

ifeq ($(INCLUDE_MORE),yes)
# runtime variable definitions available in all subdirs
include $(srcdir)/Makefile.global
# Finally, include all of the Makefile.local fragments where all the
# real work is done.

include $(subdirs:%=%/Makefile.local) Makefile.local
endif

=== contrib/python-legacy/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
	@echo
	@echo "Build finished. The HTML pages are in html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/pyDNS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/pyDNS.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
notmuch (0.39-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 May 2025 09:18:44 +0200

notmuch (0.39-1) unstable; urgency=medium

  * New upstream release.
  * Legacy python bindings (package python3-notmuch) are no longer
    built. Consider switching to python3-notmuch2.

 -- David Bremner <bremner@debian.org>  Sat, 15 Mar 2025 07:03:50 -0300

notmuch (0.39~rc3-1) experimental; urgency=medium

  * New upstream pre-release

 -- David Bremner <bremner@debian.org>  Fri, 14 Mar 2025 19:07:04 -0300

notmuch (0.39~rc2-2) experimental; urgency=medium

  * Increase test timeout to 10m (per test script). This is currently
    only needed for riscv64, but should be harmless elsewhere.

 -- David Bremner <bremner@debian.org>  Tue, 11 Mar 2025 19:39:27 -0300

notmuch (0.39~rc2-1) experimental; urgency=medium

  * New upstream pre-release
  * Bug fix: "FTBFS: 1 test failed.", thanks to Santiago Vila (Closes:
    #1099252).

 -- David Bremner <bremner@debian.org>  Mon, 10 Mar 2025 21:00:09 -0300

notmuch (0.39~rc1-1) experimental; urgency=medium

  * New upstream pre-release
  * Bug fix: "FTBFS: 3 tests fail against Emacs 30.1", thanks to Sean
    Whitton (Closes: #1098852). Force emacs 30 to use the older
    pretty-printing style.

 -- David Bremner <bremner@debian.org>  Tue, 25 Feb 2025 16:35:06 -0400

notmuch (0.39~rc0-1) experimental; urgency=medium

  * New upstream pre-release
  * Remove binary package python3-notmuch (Closes: #893057, #970834, #749890).
  * Bug fix: "saving draft causing missing header fields", thanks to
    Xiyue Deng (Closes: #1092047).

 -- David Bremner <bremner@debian.org>  Sat, 22 Feb 2025 08:12:33 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Conflicts:
  gdb [ia64 mips mips64el hppa],
  ruby1.8,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  bash-completion (>=1.9.0~),
  debhelper-compat (= 13),
  dh-elpa (>= 1.3),
@@ -17,9 +17,9 @@
  dh-sequence-vim-addon,
  desktop-file-utils,
  doxygen,
- dpkg-dev (>= 1.17.14),
+ dpkg-dev (>= 1.22.5),
  dtach (>= 0.8) <!nocheck>,
- emacs-nox | emacs-gtk | emacs-lucid | emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) | emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
+ emacs-nox | emacs-gtk | emacs-lucid | emacs-pgtk | emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) | emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
  emacs-el,
  gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha !hppa] <!nocheck>,
  git <!nocheck>,
@@ -135,24 +135,6 @@
  This package provides the necessary development libraries and header
  files to allow you to develop new software using libnotmuch.
 
-Package: python3-notmuch
-Architecture: all
-Section: python
-Depends:
- libnotmuch5t64 (>= ${source:Version}),
- ${misc:Depends},
- ${python3:Depends},
-Description: Python 3 legacy interface to the notmuch mail search and index library
- Notmuch is a system for indexing, searching, reading, and tagging
- large collections of email messages in maildir or mh format. It uses
- the Xapian library to provide fast, full-text search with a very
- convenient search syntax.
- .
- This package provides a legacy Python 3 interface to the notmuch
- functionality, directly interfacing with a shared notmuch library.
- .
- New projects are encouraged to use python3-notmuch2 instead.
-
 Package: python3-notmuch2
 Architecture: any
 Section: python
@@ -171,7 +153,7 @@
  functionality using CFFI bindings, which interface with a shared
  notmuch library.
  .
- This is the preferred way to use notmuch via Python.
+ This is the current supported way to use notmuch via Python.
 
 Package: ruby-notmuch
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include /usr/share/dpkg/architecture.mk
 
 export NOTMUCH_SKIP_TESTS = T810-tsan
-
+export NOTMUCH_TEST_TIMEOUT = 10m
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -20,19 +20,16 @@
 
 override_dh_auto_build:
 	dh_auto_build -- V=1 all sphinx-html
-	PYBUILD_NAME=notmuch dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python
 	PYBUILD_NAME=notmuch2 dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	$(MAKE) -C contrib/notmuch-mutt
 
 override_dh_auto_clean:
 	dh_auto_clean
-	PYBUILD_NAME=notmuch dh_auto_clean --buildsystem=pybuild --sourcedirectory bindings/python
 	dh_auto_clean --sourcedirectory bindings/ruby
 	$(MAKE) -C contrib/notmuch-mutt clean
 
 override_dh_auto_install:
 	dh_auto_install
-	PYBUILD_NAME=notmuch dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python
 	PYBUILD_NAME=notmuch2 dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
 	$(MAKE) -C vim prefix=/usr/share/notmuch-vim DESTDIR=$(CURDIR)/debian/tmp install

## notmuch 0.40~rc0

=== debian/changelog ===
notmuch (0.40~rc0-2) experimental; urgency=medium

  * Don't install gdb on armhf (skip gdb based tests). Workaround for
    #1125796.

 -- David Bremner <bremner@debian.org>  Sun, 18 Jan 2026 07:58:18 +0900

notmuch (0.40~rc0-1) experimental; urgency=medium

  * New upstream pre-release

 -- David Bremner <bremner@debian.org>  Sat, 17 Jan 2026 08:51:32 +0900

## notmuch 0.40

=== debian/changelog ===
notmuch (0.40-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Jan 2026 19:06:18 +0100

notmuch (0.40-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Sat, 31 Jan 2026 13:53:09 +0900

notmuch (0.40~rc1-1) experimental; urgency=medium

  * New upstream pre-release

 -- David Bremner <bremner@debian.org>  Sat, 24 Jan 2026 10:20:27 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>,
 Build-Conflicts:
- gdb [ia64 mips mips64el hppa],
+ gdb [ia64 mips mips64el hppa armhf],
  ruby1.8,
 Build-Depends:
  bash-completion (>=1.9.0~),
@@ -21,7 +21,7 @@
  dtach (>= 0.8) <!nocheck>,
  emacs-nox | emacs-gtk | emacs-lucid | emacs-pgtk | emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) | emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
  emacs-el,
- gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha !hppa] <!nocheck>,
+ gdb [!ia64 !mips !mips64el !alpha !hppa !armhf] <!nocheck>,
  git <!nocheck>,
  gnupg <!nocheck>,
  gpgsm <!nocheck>,
